> ## Documentation Index
> Fetch the complete documentation index at: https://docs.korint.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Submit feedback for a document extraction



## OpenAPI

````yaml /openapi.json post /document-extractions/{documentId}/feedback
openapi: 3.0.0
info:
  title: Korint Documentation
  description: Korint API Documentation
  version: 1.0.0
  contact: {}
servers: []
security:
  - bearerAuth: []
tags: []
paths:
  /document-extractions/{documentId}/feedback:
    post:
      tags:
        - document-extractions
      summary: Submit feedback for a document extraction
      operationId: DocumentExtractionController_submitExtractionFeedback
      parameters:
        - name: documentId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SubmitFeedbackBody'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SubmitExtractionFeedbackOutput'
components:
  schemas:
    SubmitFeedbackBody:
      type: object
      properties:
        feedbackType:
          type: string
          enum:
            - FIELD_CORRECTION
            - FIELD_VALIDATION
            - DOCUMENT_REJECTION
        fieldKey:
          type: string
        originalValue:
          type: string
        correctedValue:
          type: string
        comment:
          type: string
      required:
        - feedbackType
    SubmitExtractionFeedbackOutput:
      type: object
      properties:
        feedbackId:
          type: string
          description: ID of the persisted feedback record
      required:
        - feedbackId

````